Problem: start-stop-daemon: group 'Debian-exim' not found

Magician

Verified User
Joined
Jan 31, 2010
Messages
135
Location
EU / PL
I got report from cron on mail:

Topic:
Cron <root@server> test -x /usr/sbin/anacron || ( cd / && run-parts --report /etc/cron.daily )

Body:
/etc/cron.daily/exim:
start-stop-daemon: group 'Debian-exim' not found
start-stop-daemon: group 'Debian-exim' not found No passwd entry for user 'Debian-exim'
run-parts: /etc/cron.daily/exim exited with return code 1

Debian 9x64
Any suggestion how to resolve this?

Edit:
Part of cron which make error:

Code:
# run tidydb as Debian-exim:Debian-exim.
if [ -x /usr/sbin/exim_tidydb ]; then
  cd $SPOOLDIR/db || exit 1
  if ! find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
    -or -type f -printf '%f\0' | \
      xargs -0r -n 1 \
      start-stop-daemon --start --exec /usr/sbin/exim_tidydb \
      --chuid Debian-exim:Debian-exim -- $SPOOLDIR > /dev/null; then
    # if we reach this, invoking exim_tidydb from start-stop-daemon has
    # failed, most probably because of libpam-tmpdir being in use
    # (see #373786 and #376165)
    find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
    -or -type f -printf '%f\0' | \
    su - --shell /bin/bash \
         --command "xargs -0r -n 1 /usr/sbin/exim_tidydb $SPOOLDIR > /dev/null" \
         Debian-exim
  fi
fi

Is this necessary? Or should I change Debian-exim:Debian-exim to mail:mail?
 
Last edited:
Hello,

Probably not many of us here did try Directadmin with Debian 9 server yet. So you might want to open a ticket with Directadmin support directly.
 
On top of that, the script /etc/cron.daily/exim refers to debian4 which is the executable when exim is installed with debian packets.
With the installation from DirectAdmin, the executable is exim, not exim4

On line 78, it calls "exim4 root". If this is replaced by "exim root" it won't be delivered and create an entry in the paniclog as root is on the non-delivery list by default.

On line 82, the file/etc/logrotate.d/exim4-paniclog doesn't exist.

This script is for the debian's exim package, not for Directadmin's exim !

I have now 9 servers running Debian 9 with directadmin. Debian9+Directadmin is as stable as debian 8 and has just a few minor bugs like this one ;)
 
Also have the same problems over here with that daily:

Code:
run-parts: /etc/cron.daily/exim exited with return code 123

message, did you already got a reply back from DirectAdmin about this?
 
I'm not entirely sure that's our file... it might be from another exim install, perhaps from apt-get.

In any case, yes, swapping to mail:mail might do the trick... or just remove the file.
So removing the file is probably going to be the more reliable solution.

If it's always present on all DA installs, let us know and we can check into it, probably just automatically deleting the file after the install is done.

John
 
Correction, I am seeing it present in our da_exim.deb install pack for Debian 9.
I've removed it, re-uploaded a new da_exim.deb file, and re-packed the services_debian90_64.tar.gz on files1.

John
 
As per all current CentOS boxes, if your email system isn't working, you'd check the logs to see why.
This just prevents the active notice, but most people know right away when something is broken.

I'd almost be willing to have the dataskq do a check on the file, and notify all admins, as I believe the above script would end up going to "root".
I'm not sure how many admins actually check that.. or redirect it to admin or some other value in /etc/aliases.

John
 
This is a really non-professional way of managing servers IMHO if you administer more than one server. The active notice about a problem on one of our servers helps us to tackle problems even before a client notices.

Wouldn't it be simpler to just fix the error or use the cron supplied by Debian?

Every somewhat decent admin should check emails sent to root of course!
 
Back
Top